package registry

import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
)

type TypeDefinition struct {
	PkgName  string
	TypeName string
	Type     reflect.Type
	RealType reflect.Type

	Fields map[string]*FieldDefinition
}

type FieldDefinition struct {
	PkgName  string
	TypeName string
	Type     reflect.Type
	RealType reflect.Type

	Annotations map[string]cda.Annotation
}
