package registry

import (
	"reflect"
	"testing"

	cda "git.loafle.net/commons_go/di/annotation"
)

func TestRegisterType(t *testing.T) {
	RegisterType(reflect.TypeOf((*TestStruct)(nil)), &cda.ComponentAnnotation{})
	RegisterType(reflect.TypeOf((*TestStruct)(nil)), &cda.ComponentAnnotation{
		Names: []string{"test1", "test2"},
	})
	RegisterType(reflect.TypeOf((*TestStruct)(nil)), &cda.ComponentAnnotation{
		Names: []string{"test1", "test2"},
	})
}

type TestStruct struct {
	Name1 string `annotation:"@Inject"`
	Name2 string `annotation:"@Inject()"`
	Name3 string `annotation:"@Inject(name=test)"`
}
